Full name: projects.locations.instances.users.conversations.messages.createLongRunning
messages.createLongRunning is used to create a new message in a conversation asynchronously.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/messages:createLongRunning
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The conversation resource where this message will be created. Format: projects/{project}/locations/{location}/instances/{instance}/users/{user}/conversations/{conversation} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"message": {
object ( |
| Fields | |
|---|---|
message |
Required. The message to create. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.